initVariables();
function funcionGo(ctx, width, height) {
  if (lInit) {
    txClocalUp = "IAMETRIA: lateral. Posición de partida. Mover lateralmente";
    txClocalDown = "Mano abierta frontal/Mover lateralmente";
    jsreinitProcedure();
    jsinitTimer(1);
    lDisplayFingers = false;
    diameter = hVideo;
    centerX = windowWidth / 2;
    centerY = windowHeight / 2;
    if (!deviceAndroid) {
    }
    else {
      if (deviceOrientation == "landscape") {
        diameter = hVideo / 4;
      }
      else {
        if (deviceOrientation == "portrait") {
          diameter = hVideo / 4;
        }
      }
    }
    fill(255);

  }
  //displaymodulo(0);
  //image(imgLoad, wsIni + wVideo / 2 - (imgLoad.width / 4) / 2, 50, imgLoad.width / 4, imgLoad.height / 4)

  let pV1 = createVector(0, 0, 0);
  let pV2 = createVector(0, 0, 0);

  strokeWeight(2);
  stroke(255);
  fill(255);
  for (let i = 0; i < combinedLandmarks.length; i++) {
    switch (i) {
      case 0:
        pV1.x = pCfbr4.x
        pV1.y = pCfbr4.y
        pV2.x = pCfbr0.x
        pV2.y = pCfbr0.y
        drawGonio(4, pV2, pV1, i)
        text("PULGAR", pCfbr4.x, pCfbr4.y)
        line(pCfbr0.x, pCfbr0.y, pCfbr12.x, pCfbr12.y);
        ellipse(pCfbr12.x, pCfbr12.y, 10)
        break;
      case 1:
        pV1.x = pCfbl4.x
        pV1.y = pCfbl4.y
        pV2.x = pCfbl0.x
        pV2.y = pCfbl0.y
        drawGonio(4, pV2, pV1, i)
        text("PULGAR", pCfbl4.x, pCfbl4.y)
        line(pCfbl0.x, pCfbl0.y, pCfbl12.x, pCfbl12.y);
        ellipse(pCfbl12.x, pCfbl12.y, 10)
        break;
    }
  }
  pCW1.x = -width;
  pCW1.y = -width;
  pCW2.x = -width;
  pCW2.x = -width;
  textSize(12);
}
//////////////////////////////////////////////

